#include <QPainter>

#include "colordelegate.h"

ColorDelegate::ColorDelegate(QObject *parent)
    : QAbstractItemDelegate(parent)
{
}

void ColorDelegate::paint(QPainter *painter, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const
{
    QColor color(index.data().toString());

    painter->save();
        painter->setRenderHint(QPainter::Antialiasing, true);

        if(color.isValid()) {
            painter->fillRect(option.rect, color);
        } else {
            painter->drawText(option.rect, "Invalid Color");
        }
    painter->restore();
}

QSize ColorDelegate::sizeHint(const QStyleOptionViewItem & /*option*/, const QModelIndex & /*index*/) const
{
    return QSize(16, 16);
}
