#include "widget.h"
#include "ui_widget.h"

#include "colordelegate.h"

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);

    model = new QStringListModel();
    ui->ModelListView->setModel(model);
    ui->ModelTableView->setModel(model);
    ui->ModelTreeView->setModel(model);

    ui->ModelListView->setItemDelegate(new ColorDelegate());
}

Widget::~Widget()
{
    delete ui;
    delete model;
}

void Widget::on_ItemAggiungi_clicked()
{
    QString elemento = ui->ItemLineEdit->text();
    QListWidgetItem *item = new QListWidgetItem(elemento);
    ui->ItemListView->addItem(item);
}

void Widget::on_ModelAggiungi_clicked()
{
    int row = model->rowCount();
    QString elemento = ui->ModelLineEdit->text();

    model->insertRow(row);
    model->setData(model->index(row), elemento);
}
