#include "widget.h"
#include "ui_widget.h"

#include <QtNetwork>
#include <QMessageBox>

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);
    manager = new QNetworkAccessManager(this);

    connect(manager, SIGNAL(finished(QNetworkReply*)),
            this, SLOT(download_finished(QNetworkReply*)));
}

Widget::~Widget()
{
    delete ui;
    delete manager;
}

void Widget::on_DownloadButton_clicked()
{
    QUrl url(ui->URLEdit->text());
    QNetworkRequest request(url);
    QNetworkReply *reply;

    ui->URLWebView->load(request);
    reply = manager->get(request);
}

void Widget::download_finished(QNetworkReply *reply)
{
    if(reply->error() == QNetworkReply::NoError) {
        QString data = reply->readAll();
        ui->URLContenteText->setPlainText(data);
    } else {
        QMessageBox::warning(this, "Error", "Download failed");
    }
}






